Issue with Prodigy 1.11.8a2 with "experimental_feed"

The prodigy json is as follows:

{
"experimental_feed": true,
"host":"0.0.0.0",
"db":"postgresql",
"db_settings":{
        "postgresql":{
                "url":"postgresql://{username}:{password}@{aws_rds_address}/db_name"
        }
},
"split_sents":false,
"feed_overlap":false
}

When I run prodigy stats with this config I get:

Traceback (most recent call last):
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1819, in _execute_context
    self.dialect.do_execute(
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 732, in do_execute
    cursor.execute(statement, parameters)
psycopg2.errors.UndefinedColumn: column dataset.feed does not exist
LINE 3: WHERE dataset.session = false AND dataset.feed = false ORDER...
                                          ^


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/prodigy/__main__.py", line 61, in <module>
    controller = recipe(*args, use_plac=True)
  File "cython_src/prodigy/core.pyx", line 422, in prodigy.core.recipe.recipe_decorator.recipe_proxy
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/plac_core.py", line 367, in call
    cmd, result = parser.consume(arglist)
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/plac_core.py", line 232, in consume
    return cmd, self.func(*(args + varargs + extraopts), **kwargs)
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/prodigy/recipes/commands.py", line 47, in stats
    "total_datasets": len(DB.datasets),
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/prodigy/components/db_v2/core.py", line 141, in datasets
    return self.get_dataset_names()
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/prodigy/components/db_v2/core.py", line 155, in get_dataset_names
    result = self._session.execute(query)
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/orm/session.py", line 1712, in execute
    result = conn._execute_20(statement, params or {}, execution_options)
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1631, in _execute_20
    return meth(self, args_10style, kwargs_10style, execution_options)
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/sql/elements.py", line 325, in _execute_on_connection
    return connection._execute_clauseelement(
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1498, in _execute_clauseelement
    ret = self._execute_context(
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1862, in _execute_context
    self._handle_dbapi_exception(
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2043, in _handle_dbapi_exception
    util.raise_(
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 208, in raise_
    raise exception
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1819, in _execute_context
    self.dialect.do_execute(
  File "/Users/Nauman.Ahmed/opt/anaconda3/envs/python38/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 732, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.ProgrammingError: (psycopg2.errors.UndefinedColumn) column dataset.feed does not exist
LINE 3: WHERE dataset.session = false AND dataset.feed = false ORDER...
                                          ^

[SQL: SELECT dataset.name 
FROM dataset 
WHERE dataset.session = false AND dataset.feed = false ORDER BY dataset.created]
(Background on this error at: https://sqlalche.me/e/14/f405)

Hi @nomiizz, thanks for giving the experimental_feeda try!
Is the DB you're pointing to in your prodigy.json version 1.0 database? (You can check by running prodigy stats. You will probably have to switch experimental_feed back to false so that it doesn't throw the same error).
If it is, it won't be compatible with the experimental_feed, as we have changed the DB structure (hence the missing Column error).
We are working on the prodigy command to automate the migration of the datasets from version 1.0 to 2.0 and it will be out soon. In the meantime, you should be able to do a sequence of db_outwith "experimental_feed"= false to serialize the data from the version 1.0 database and then do db_in with "experimental_feed"=trueto load it into version 2.0 database.